# List Entity-Datatable Checks

`GET /lokta-lms/api/v1/entityDatatableChecks`

The list capability of Entity-Datatable Checks can support pagination.

OPTIONAL ARGUMENTS
offset Integer optional, defaults to 0 Indicates the result from which pagination startslimit Integer optional, defaults to 200 Restricts the size of results returned. To override the default and return all entries you must explicitly pass a non-positive integer value for limit e.g. limit=0, or limit=-1
Example Request:

entityDatatableChecks?offset=0&limit=15

## Parameters
- `status` (query, integer): status
- `entity` (query, string): entity
- `productId` (query, integer): productId
- `offset` (query, integer): offset
- `limit` (query, integer): limit

## Responses
- `200`: OK

## Response fields
- `pageItems` (array of GetEntityDatatableChecksResponse)
- `totalFilteredRecords` (integer)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/entityDatatableChecks' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "pageItems": [
    {}
  ],
  "totalFilteredRecords": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAllEntityDatatableChecks
